2019-10-23 13:39 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001101FSSCPgraphicspublic2012-01-09 13:06
Reporterthesource2 
Assigned ToWMCoolmon 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001101: Firing Kaiser UD-8 causes EXTREME slowdowns
Descriptionredmenace-20061008. Try missions like Exodus in main campaign, set both primaries to UD-8 Kaiser and fire several shots. Perfomance drops to 0.5 fps. If you stop firing everything returs to normal (until you fire again)
TagsNo tags attached.
Attached Files

-Relationships
has duplicate 0001154resolvedtaylor Particles Causing Slowdowns 
+Relationships

-Notes

~0006849

Goober5000 (administrator)

Does this happen if you disable the media VPs?

~0006857

taylor (administrator)

More than a few people have reported MAJOR slowdowns in the main CVS branch when weapons fire. I've been too busy to attempt to track it down, but quite a few people have come to me about this the past month or so. They do say that it doesn't happen in 3_6_9 though, only HEAD.

~0006859

thesource2 (reporter)

Without MediaVP everything is fine.
This happen not with all weapons. I can fire Subach-HL7 normally, but Kaiser UD-8 causes slowdown

~0006880

thesource2 (reporter)

The problem seems to be in mp-710 patches (supposely in mp-710_effects)

~0006881

taylor (administrator)

The 710 patches shouldn't include any primary weapon effect updates. Nothing related to the Kayser is included.

They just contain...

mp710_effects:
glows and trails (the flak effect primarily)
the shield hit effect
the ship-damage particle spew
a couple of thruster glows

mp710_models:
fixed missile autocentering with new IBX files

mp710_adveffects:
fixed hi-res nebula
fixed glow maps


I'm building plain CVS now though, so I'll see if I can find the problem.

~0006882

taylor (administrator)

Found it. WMC commented out the line which actually renders most particle effects. Because of this the batcher will just keep adding more and more items to get rendered, but since it never renders any, it never releases anything. It not only gets progressively slower but needs more and more memory every time some particle effect is set to be rendered.

Putting this on WMC to fix.

~0006899

thesource2 (reporter)

Check shockwaves also. I noticed similar slowdowns with them.

~0006900

thesource2 (reporter)

Also heavy slowdown with Triton envmapping

~0006901

taylor (administrator)

Those two things are unrelated to this bug. And both are likely related more to data issues that real code issues. They need to be filed as separate bugs, but wait until after you test with the next set of official MediaVPs before you open new bug reports for them.

~0007064

Woolie Wool (reporter)

I STRONGLY urge the SCP team to give this bug top priority. It is universal, occurs frequently, and is very serious. It is definitely the most important bug I've seen in the latest builds.

~0007065

Goober5000 (administrator)

Try sending a PM to WMC.

~0007066

thesource2 (reporter)

Reminder sent to: WMCoolmon

Goober5000 asked to send a reminder to you. This is very serious and annoying bug

~0007071

WMCoolmon (developer)

This should be fixed in my local codebase. Redmenace asked me about it awhile back, and I suggested the same fix as taylor(0006882). I haven't heard any word back on whether or not that helped at all, but I made the change in my local codebase and have not noticed disappearing/laggy projectiles or particles.

I'll mark this as fixed if/when my code goes into CVS.

~0007228

Goober5000 (administrator)

After consultation with WMC I've reverted the original commit that caused this problem.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-10-10 11:26 thesource2 New Issue
2006-10-10 16:24 Goober5000 Note Added: 0006849
2006-10-11 02:21 taylor Note Added: 0006857
2006-10-11 06:18 thesource2 Note Added: 0006859
2006-10-13 08:47 thesource2 Note Added: 0006880
2006-10-13 09:38 taylor Note Added: 0006881
2006-10-13 10:07 taylor Note Added: 0006882
2006-10-13 10:07 taylor Assigned To => WMCoolmon
2006-10-13 10:07 taylor Status new => assigned
2006-10-16 08:12 thesource2 Note Added: 0006899
2006-10-16 08:12 thesource2 Note Added: 0006900
2006-10-16 08:56 taylor Note Added: 0006901
2006-11-03 12:30 Woolie Wool Note Added: 0007064
2006-11-03 12:58 Goober5000 Note Added: 0007065
2006-11-03 14:06 thesource2 Note Added: 0007066
2006-11-04 19:37 WMCoolmon Note Added: 0007071
2006-11-23 22:48 taylor Relationship added has duplicate 0001154
2006-11-30 23:45 Goober5000 Note Added: 0007228
2006-11-30 23:45 Goober5000 Status assigned => resolved
2006-11-30 23:45 Goober5000 Resolution open => fixed
2012-01-05 17:55 Goober5000 Changeset attached => Import 2012-01-05 17:52:05 trunk r3773
2012-01-09 13:06 Goober5000 Changeset attached => fs2open_websvn trunk r3773
+Issue History